import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { GraficoMapaConfig } from '../../models/GraficoMapaConfig.model';
import { GoogleMap } from '@angular/google-maps';
import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
export declare class GraficoMapaComponent implements OnInit, OnChanges {
    private httpClient;
    config: GraficoMapaConfig;
    datos: [];
    llaveGoogleMaps: string;
    seleccion: EventEmitter<any>;
    map: GoogleMap;
    apiLoaded: Observable<boolean>;
    constructor(httpClient: HttpClient);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    clickMarker(data: any): void;
    centrarMapa(): void;
}
